ChangeSet 1.1161, 2003/04/28 23:51:52-07:00, greg@kroah.com

driver core: fix up tty code to work with the new class changes.

Note, tty_class will be flushed out in the future, this is just to
get things building again properly.


 drivers/char/tty_io.c       |    9 ++++-----
 drivers/serial/8250_acorn.c |    1 -
 drivers/serial/8250_pci.c   |    3 ---
 drivers/serial/sa1100.c     |    1 -
 drivers/usb/serial/bus.c    |    1 -
 include/linux/tty_driver.h  |    2 --
 6 files changed, 4 insertions(+), 13 deletions(-)


diff -Nru a/drivers/char/tty_io.c b/drivers/char/tty_io.c
--- a/drivers/char/tty_io.c	Tue Apr 29 09:47:43 2003
+++ b/drivers/char/tty_io.c	Tue Apr 29 09:47:43 2003
@@ -2288,17 +2288,16 @@
 extern int vty_init(void);
 #endif
 
-struct device_class tty_devclass = {
+static struct class tty_class = {
 	.name	= "tty",
 };
-EXPORT_SYMBOL(tty_devclass);
 
-static int __init tty_devclass_init(void)
+static int __init tty_class_init(void)
 {
-	return devclass_register(&tty_devclass);
+	return class_register(&tty_class);
 }
 
-postcore_initcall(tty_devclass_init);
+postcore_initcall(tty_class_init);
 
 /*
  * Ok, now we can initialize the rest of the tty devices and can count
diff -Nru a/drivers/serial/8250_acorn.c b/drivers/serial/8250_acorn.c
--- a/drivers/serial/8250_acorn.c	Tue Apr 29 09:47:43 2003
+++ b/drivers/serial/8250_acorn.c	Tue Apr 29 09:47:43 2003
@@ -129,7 +129,6 @@
 	.remove 	= __devexit_p(serial_card_remove),
 	.id_table	= serial_cids,
 	.drv = {
-		.devclass	= &tty_devclass,
 		.name		= "8250_acorn",
 	},
 };
diff -Nru a/drivers/serial/8250_pci.c b/drivers/serial/8250_pci.c
--- a/drivers/serial/8250_pci.c	Tue Apr 29 09:47:43 2003
+++ b/drivers/serial/8250_pci.c	Tue Apr 29 09:47:43 2003
@@ -2044,9 +2044,6 @@
 	.suspend	= pciserial_suspend_one,
 	.resume		= pciserial_resume_one,
 	.id_table	= serial_pci_tbl,
-	.driver = {
-		.devclass = &tty_devclass,
-	},
 };
 
 static int __init serial8250_pci_init(void)
diff -Nru a/drivers/serial/sa1100.c b/drivers/serial/sa1100.c
--- a/drivers/serial/sa1100.c	Tue Apr 29 09:47:43 2003
+++ b/drivers/serial/sa1100.c	Tue Apr 29 09:47:43 2003
@@ -879,7 +879,6 @@
 static struct device_driver sa11x0_serial_driver = {
 	.name		= "sa11x0_serial",
 	.bus		= &system_bus_type,
-	.devclass	= &tty_devclass,
 	.suspend	= sa1100_serial_suspend,
 	.resume		= sa1100_serial_resume,
 };
diff -Nru a/drivers/usb/serial/bus.c b/drivers/usb/serial/bus.c
--- a/drivers/usb/serial/bus.c	Tue Apr 29 09:47:43 2003
+++ b/drivers/usb/serial/bus.c	Tue Apr 29 09:47:43 2003
@@ -142,7 +142,6 @@
 	device->driver.bus = &usb_serial_bus_type;
 	device->driver.probe = usb_serial_device_probe;
 	device->driver.remove = usb_serial_device_remove;
-	device->driver.devclass = &tty_devclass;
 
 	retval = driver_register(&device->driver);
 
diff -Nru a/include/linux/tty_driver.h b/include/linux/tty_driver.h
--- a/include/linux/tty_driver.h	Tue Apr 29 09:47:43 2003
+++ b/include/linux/tty_driver.h	Tue Apr 29 09:47:43 2003
@@ -231,6 +231,4 @@
 #define SERIAL_TYPE_NORMAL	1
 #define SERIAL_TYPE_CALLOUT	2
 
-extern struct device_class tty_devclass;
-
 #endif /* #ifdef _LINUX_TTY_DRIVER_H */
